﻿
HealingTargetBuffs = {

		["Healing Way"] = { Spell = "Healing Wave", Apps = true, Value = 0.06 },
		["Amplify Magic"] = { Spell = "All", ModType = "Amplify Magic", Ranks = 6, Value = { 30, 60, 100, 150, 180, 240 }, },
		["Quick Recovery"] = { Spell = "All", Ranks = 2, Value = 0.1 },

}

HealingTargetDebuffs = {
	
		["Wound Poison"] = { Spell = "All", Apps = true, Ranks = 5, ModType = "Wound Poison", Value = { 55, 75, 105, 135, 165 }, },
		["Blood Fury"] = { Spell = "All", Value = 0.5, },
		["Mortal Strike"] = { Spell = "All", Value = 0.5, },
		["Hex of Weakness"] = { Spell = "All", Value = 0.2, },
		["Necrotic Poison"] = { Spell = "All", Value = 0.9, },
		["Veil of Shadow"] = { Spell = "All", Value = 0.75, },
}


DamageBuffs = { 
	--Buff 'Apps' supports: Final coefficient * applications (ie. no modtype)
	--Buff 'Ranks' supports: "MD" and final coefficient * rank
	--Buff ModType "BaseDamage"
	--Buff ModType "SpellDamage"
	--Buff ModType "Crit"
	--Buff ModType "Boss" -> specialcase set in DrDamage.lua
	--Buff ModType none -> Final coefficient
		["Burning Wish"] = { School = "Fire", Ranks = 5, Value = 0.03 },
		["Touch of Shadow"] = { School = "Shadow", Ranks = 5, Value = 0.03 },
		["Shadowform"] = { School = "Shadow", Value = 0.15 },
		["Amplify Curse"] = { Value = 0.5, ModType = "BaseDamage", Spell = "Curse of Agony" },
		["Positive Charge"] = { Apps = true, Value = 0.1 },
		["Negative Charge"] = { Apps = true, Value = 0.1 },
		["Traces of Silithyst"] = { Value = 0.05 },
		["Berserking"] = { Value = 0.3 },
		["Burning Adrenaline"] = { Value = 1.0, ModType = "Boss" },
		["Soul Link"] = { Value = 0.03 }, --TBC: 0.05
		["Master Demonologist"] = { Ranks = 5, ModType = "MD" },
		--Blizzard API?: ["Power Infusion"] = { Value = 0.2, ModType = "SpellDamage" },
		["Arcane Power"] = { Value = 0.3 },
		["Elemental Mastery"] = { Value = 100, ModType = "Crit" },
		["Rallying Cry of the Dragonslayer"] = { Value = 10, ModType = "Crit" },
		["Fungal Bloom"] = { Value = 60, ModType = "Crit" },
		["Moonkin Aura"] = { Value = 5, ModType = "Crit" },
		["Totem of Wrath"] = { Value = 3, ModType = "Crit" },

}
	
DamageDebuffs = { 
	--Debuff 'Apps' supports: "Crit" * applications and final coefficient * applications (ie. no modtype)
	--Debuff 'Apps2' supports: Final coefficient * applications (added for spells with identical name)
	--Debuff 'Ranks' supports: Final coefficient * rank
	--Debuff 'Texture': Final coefficient if texture is correct
	--Debuff ModType none -> Final coefficient
		["Curse of Shadow"] = { School = "Shadow", School2 = "Arcane", Value = 0.1 },
		["Shadow Vulnerability"] = { School = "Shadow", Texture = "Spell_Shadow_ShadowBolt", ModType = "Texture", Value = 0.2, Apps2 = true, Value2 = 0.03 },
		["Shadow Weakness"] = { School = "Shadow", Value = 1.0 },
		["Fire Vulnerability"] = { School = "Fire", Apps = true, Value = 0.03 },
		["Curse of the Elements"] = { School = "Fire", School2 = "Frost", Value = 0.1 },
		["Fire Weakness"] = { School = "Fire", Value = 1.0 },
		["Winter's Chill"] = { School = "Frost", Apps = true, Value = 2, ModType = "Crit" },
		["Frost Weakness"] = { School = "Frost", Value = 1 },
		["Arcane Weakness"] = { School = "Arcane", Value = 1 },
		["Nature Weakness"] = { School = "Nature", Value = 1 },
		["Spell Vulnerability"] = { Value = 0.15 },
		["Misery"] = { Value = 0.01, Ranks = 5, },
		["Berserking"] = { Value = 0.1 },
}